/*
 * Class TYPE [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2107 [] = {0xFF01,1551,2106,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2107 [] = {0xFF01,2106,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2107 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2107 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2107 [] = {0xFF01,2106,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2107 [] = {0xFF01,2106,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2107 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2107 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2107 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2107 [] = {2106,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2107 [] = {0xFF01,2106,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2107 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2107 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2107 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2107 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2107 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2107 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2107 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2107 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2107 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2107 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2107 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_2107[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2107), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2107), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2107), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2107), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2107), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2107), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2107), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2107), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2107), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2107), 20335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2107), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2107), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2107), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2107), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2107), 20319, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2107), 20320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20326, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2107), 20330, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2107), 20331, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2107), 20332, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2107), 20333, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2107), 20334, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2107), 20337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2107), 20340, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2107), 20341, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2107), 20342, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2107), 20343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 20344, 0},
	{EIF_GENERIC(egt_26_2107), 20345, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2107), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2107), 20336, 0xFFFFFFFF},
};
void Init2107(void)
{
	IDSC(desc_2107, 0, 2106);
	IDSC(desc_2107 + 1, 1, 2106);
	IDSC(desc_2107 + 32, 700, 2106);
	IDSC(desc_2107 + 34, 1459, 2106);
	IDSC(desc_2107 + 38, 11, 2106);
	IDSC(desc_2107 + 60, 224, 2106);
}


#ifdef __cplusplus
}
#endif
